System.ServiceModel 4.0.0.0 System.Object System.IDisposable System.ServiceModel.Channels.IMessageProperty

Client authentication results are translated into an instance of , which is attached to the message using a . This property can be used by higher layers to implement custom authorization logic.

Contains security-related properties and is attached to a message.

- Constructor
  4.0.0.0
  To be added.

  Initializes a new instance of the class.

- Method
  4.0.0.0
  System.ServiceModel.Channels.IMessageProperty

  To access any objects in the , such as , , or ), a copy must be created because these properties are undefined after the message is disposed of.

  Clones the current instance of this class.

  A cloned from the current instance of this class.

- Method
  4.0.0.0
  System.Void To be added.

  Disposes of the current instance of this class.

- Property
  4.0.0.0
  System.Collections.ObjectModel.ReadOnlyCollection<System.IdentityModel.Policy.IAuthorizationPolicy> To be added.

  By default, is called on these authorization policies as part of the process that creates the .

  Gets or sets a collection of external authorization policies.

- Method
  4.0.0.0
  System.ServiceModel.Security.SecurityMessageProperty `` To be added. To be added.

  Gets or creates an instance of this class from the specified message.

  An instance of .

- Property
  4.0.0.0
  System.Boolean To be added.

  Supporting tokens provide additional claims beyond those contained in the principal tokens for the binding. Supporting tokens can be scoped at a different scope than the binding.

  Indicates whether the incoming message contains at least one supporting security token.

- Property
  4.0.0.0
  System.Collections.ObjectModel.Collection<System.ServiceModel.Security.SupportingTokenSpecification> To be added.

  Supporting tokens provide additional claims beyond those contained in the principal tokens for the binding. Supporting tokens can be scoped at a different scope than the binding.

  Gets or sets a collection of incoming supporting tokens.

- Property
  4.0.0.0
  System.ServiceModel.Security.SecurityTokenSpecification To be added.

  If the message pattern requires multiple messages, the Initiator Token is used for the message signature from initiator to the recipient, and for encryption from recipient to initiator.

  Gets or sets the initiator token for this message.

- Property
  4.0.0.0
  System.ServiceModel.Security.SecurityTokenSpecification To be added.

  Protection Tokens are used in symmetric security bindings for signing and encryption.

  Gets or sets the protection token for this message.

- Property
  4.0.0.0
  System.ServiceModel.Security.SecurityTokenSpecification To be added.

  If the message pattern requires multiple messages, the Recipient Token is used for encryption from initiator to recipient, and for the message signature from recipient to initiator.

  Gets or sets the recipient token for this message.

- Property
  4.0.0.0
  System.String To be added. To be added.

  Gets or sets the sender ID prefix for this message.

- Property
  4.0.0.0
  System.ServiceModel.ServiceSecurityContext To be added.

  Use this class to obtain information about the runtime security context. A security context is created when a client is successfully authenticated. The security information from the client and for the current service instance can be obtained from an instance of this class.

  A common use of the class is to retrieve the current set of claims for the purpose of authorizing a client when accessing a method.

  Gets or sets the for this message.

- Property
  4.0.0.0
  System.ServiceModel.Security.SecurityTokenSpecification To be added.

  A Transport Token provides security at the transport level. A token used by HTTPS is an example of a Transport Token.

  Gets or sets the transport token for this message.